#include "OthLegsReadyPkg.h"

OthLegsReadyPkg::OthLegsReadyPkg(int a, bool ack) : TelepatiPkg(){
  type=OTHLEGSREADY;
  aibo=a;
  needAck=ack;
}

OthLegsReadyPkg::OthLegsReadyPkg(byte* ptr) : TelepatiPkg(ptr){
}


OthLegsReadyPkg::~OthLegsReadyPkg(){
}

TelepatiPkg* OthLegsReadyPkg::clone(){
  OthLegsReadyPkg* clone=new OthLegsReadyPkg(aibo, needAck);
  clone->serialNum=serialNum;
  return clone;
}



byte* OthLegsReadyPkg::getMsg(){
  delete [] message;
  message=createStdHeader(0);
  return message;
}
